Create Order API

The following endpoint creates an Order

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
required
Defaults to 1000

The amount for which the Order was created. Example: "10000" or "10000.23" for amount with decimal value

string
required
Defaults to IDR

The currency associated with the Order's amount. Example: "IDR"

customer
object
required

The customer fields including id, email, mobile, first_name, given_name, address json object, customer_ref_id. One of id, mobile, email is mandatory field whereas others are optional. address is mandatory to use BNPL payment method.

string
Defaults to full_payment

The type of payment option with which order was created. Possible values: "full_payment" or "installment"

string
Defaults to INV/1/2021

The unique identifier of Order from the merchant. Example: "INV/1/2021"

items
array of objects

Array of objects with each object including name, brand, category, sku, price, qty, total_price. mandatory to use BNPL and LINKAJA payment method

items
string
Defaults to This order is delicate handle with care

String to store description of the order. Example: "This order is delicate. Handle with Care!"

string
Defaults to excluded

Used to specify if the transactional charges are to be included and paid by the merchant or customer. Possible Values: "included" - Transaction Fee is paid by merchant "excluded" - Transaction Fee is paid by customer

string

Key-Value pair that can be used to store additional information about the entity.

string
Defaults to 2026-09-29T10:00:00.000Z

The time stamp at which the order will expire. Please ensure that the value is in RFC3339 format and the timezone is in GMT+7. Example: "2022-03-29T10:00:00.000Z"

boolean
Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json